
proc setup_gui { record_list } {

	add_main_window_to_gui "Auto Optimization - Slits (horizontal)"

	set row 1

	add_motor_to_gui $row $record_list "bh_center" "Omega"

	incr row

	add_buttons_to_gui

	wm deiconify .
}

proc main { record_list } {

	log_puts "Moving vertical slit size to 1000 um."

	move_motor $record_list "bv_size" 1000.0

	log_puts "Moving horizontal slit size to 200 um."

	move_motor $record_list "bh_size" 200.0

	log_puts "Starting 'bh_center' optimization scan."

	optimize_to_peak $record_list "bh_center"

	log_puts "Moving slit sizes to 1000 by 200 um."

	log_puts "Editorial comment:  This step seems redundant."
	log_puts "The slits are _already_ at 1000 by 200 um."

	move_motor $record_list "bv_size" 1000.0

	move_motor $record_list "bh_size" 200.0

	log_puts "*** Slits (horizontal) optimization complete. ***"

	return
}

