
proc setup_gui { record_list } {

	add_main_window_to_gui "Auto Optimization - Table (vertical)"

	set row 1

	add_motor_to_gui $row $record_list "tz" "Table (vertical)"

	incr row

	add_buttons_to_gui

	wm deiconify .
}

proc main { record_list } {

	log_puts "Moving vertical slit size to 2000 um."

	move_motor $record_list "bv_size" 2000.0

	log_puts "Moving horizontal slit size to 2000 um."

	move_motor $record_list "bh_size" 2000.0

	log_puts "Removing all half slits."

	remove_halfslit "us_vert"
	remove_halfslit "us_horiz"
	remove_halfslit "ds_vert"
	remove_halfslit "ds_horiz"

	log_puts "Inserting upstream vertical half slit."

	insert_halfslit "us_vert"

	log_puts "Starting 'tz' optimization scan."

	optimize_to_edge $record_list "tz"

	log_puts "Removing upstream vertical half slit."

	remove_halfslit "us_vert"

	log_puts "Moving slit sizes to 1000 by 200 um."

	move_motor $record_list "bv_size" 1000.0

	move_motor $record_list "bh_size" 200.0

	log_puts "*** Table (vertical) optimization complete. ***"

	return
}

proc insert_halfslit { record_list slit_name } {

	set slit [ $record_list get_record $slit_name ]

	$slit relay_command 1
}

proc remove_halfslit { record_list slit_name } {

	set slit [ $record_list get_record $slit_name ]

	$slit relay_command 0
}

